Package Details: libspectrum 1.3.0-1

Git Clone URL: https://aur.archlinux.org/libspectrum.git (read-only)
Package Base: libspectrum
Description: ZX Spectrum emulator support library.
Upstream URL: http://fuse-emulator.sourceforge.net/libspectrum.php
Keywords: lib zx-spectrum
Licenses: GPL
Submitter: bender02
Maintainer: SanskritFritz
Last Packager: SanskritFritz
Votes: 40
Popularity: 0.479521
First Submitted: 2007-04-13 19:25
Last Updated: 2016-10-03 09:03

Latest Comments

SanskritFritz commented on 2014-11-29 16:20

Thanks for the heads up.

serbalgi commented on 2014-11-29 15:48

I think it is worthwhile to add --disable-static flag to configure. Static libraries are neither used nor installed.

libspectrum license is "GPL version 2 or (at your option) any later version". I also think the convention tag should be "GPL" as "GPL2" is GPL2 only.

SanskritFritz commented on 2013-05-23 12:50

Thanks for the new version. May I suggest to quote $srcdir and $pkgdir as per recommendations.

bender02 commented on 2013-01-22 08:32

@sligot: Thanks, fixed.

siigot commented on 2012-11-10 08:47

The configure script tries to execute obsolete audiofile-config binary and as it does not exist, libspectrum can't compile with current libaudiofile.

The most simple solution seems to be the change of this line in PKGBUILD:
./configure --prefix=/usr
to:
AUDIOFILE_CONFIG="/usr/bin/pkg-config audiofile" ./configure --prefix=/usr

it works at least for me :)